<?php
session_start();
require_once("../connexionBD.php");
require_once ("../ressources/trajet.php");

//Si on est pas connecté redirection vers la page de connexion
if (!isset($_SESSION['mail'])) {
    header('Location: ../index.php');
    exit();
}
$mail = $_SESSION['mail'];

?>
<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <link rel="stylesheet" href="liste_trajet_reserve.css">
    <link rel="icon" href="../ressources/favicon.ico"/>
    <title>Liste des trajets</title>
</head>
<body>
<div id="container">
    <div id="entete">
        <a href="../tableauBord/tableauBord.php"><img id="bouton_retour" src="../resources/return.png"
                                                      alt="Bouton retour"></a>
        <h1 class="float" id="titre">Liste des trajets réservés</h1>
        <br>
    </div>
    <div id="liste">
        <table>
            <?php
            $result = pg_query_params($db, "SELECT DISTINCT ut.login as login, tr.* FROM utilisateur ut, trajet tr, reserver re WHERE ut.mail = re.mailutilisateur AND re.codetrajet = tr.codetrajet AND re.mailutilisateur = $1 AND tr.estannule;", array($mail));
            while ($row = pg_fetch_array($result)) {
                $login = $row['login'];
                $date_depart = $row['datedepart'];
                $codetrajet = $row['codetrajet'];
                $source = getDepart($db, $codetrajet);
                $dest = getFin($db, $codetrajet);
                echo "<tr><td class='ligne'><hr class='separation'/></td><td class='info'>";
                echo "<p>$date_depart - $source --> $dest : $login</p></td>";
                echo "</tr>";
            }
            ?>
        </table>
    </div>
</div>
</body>
</html>
